k3b keeps asking to install mp3 support

Bug #992844 reported by Uqbar on 2012-05-01
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
k3b (Ubuntu)
Undecided
Unassigned

Bug Description

Every time I start k3b it keeps suggesting to add mp3 support.
I say so, provide the correct administrative passowrd, it says I have installed the "missing" package.
Later it will suggest again to add mp3 support.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: k3b 2.0.2-3ubuntu4
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic-pae 3.2.14
Uname: Linux 3.2.0-24-generic-pae i686
ApportVersion: 2.0.1-0ubuntu7
Architecture: i386
Date: Tue May 1 22:41:23 2012
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
SourcePackage: k3b
UpgradeStatus: Upgraded to precise on 2012-04-27 (4 days ago)

Uqbar (uqbar) wrote :
Uqbar (uqbar) wrote :

I've been able to intercept the "installation process": it is "qapt-batch --install libmp3lame0".
But libmp3lame0 is reported as already installed.

Changed in k3b (Ubuntu):
assignee: nobody → craig miller (craig-miller)
assignee: craig miller (craig-miller) → nobody
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in k3b (Ubuntu):
status: New → Confirmed
Uqbar (uqbar) wrote :

Changed in k3b (Ubuntu):
assignee: nobody → craig miller (craig-miller)
assignee: craig miller (craig-miller) → nobody

This is nice, and still bugging us as of 12.04!

kaputtnik (franku) wrote :

I've tried to add the search path for Programs under "Settings -> Configure k3b -> Programs -> Search Path" with the Path "/usr/lib/x86_64-linux-gnu/" but this doese'nt helps.

Then i read the topic https://forum.kde.org/viewtopic.php?t=100710 which suggests two more files, wich are shipped i a third Party repo of openSuse. This package comes with four addintional files:

/usr/share/kde4/services/kcm_k3blameencoder.desktop
/usr/share/kde4/servicesk3blameencoder.desktop
/usr/lib/kde4/k3blameencoder.so
/usr/lib/kde4/kcm_k3blameencoder.so

Trying to copy this files in the appropriate Folders, restart the system but it doesen't work.

Is this a packaging issue or a compiling issue to k3b?

kaputtnik (franku) wrote :

Sorry, at beginning of the post above is missing text. The beginning was:

The package of libmp3lame0 contains the files:

/usr/lib/x86_64-linux-gnu/libmp3lame.so.0 #This is only a softlink to:
/usr/lib/x86_64-linux-gnu/libmp3lame.so.0.0.0

MaRe (mare-x) wrote :

Hi,

I hit the same problem which seems to be caused by a missing lame binary.

The mp3 plugin installer uses the lame binary to convert files. The installation crashes if the binary is not installed.

Just execute 'apt-get install lame' restart k3b und install the mp3 plugin. Done.

Regards
Marco

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers